Skip to main content

Get recipe by ID

GET
/ai/gateway/recipes/{id}

Contract

Parameter
Value
Sectionai-gateway
AuthenticationAIKeyAuth
Consumesnot required
Producesapplication/json

Parameters

1 parameter

Name
Location
Required
Type
Description
idpathyesstringRecipe ID

Responses

5 responses

Status
Description
Type
200
Successful responseobject
400
Recipe ID is requiredobject
401
API key is missing or invalidobject
403
Required docs:read scope is missingobject
404
Recipe not foundobject
  • {
      "cursor": {
        "count": 0,
        "currentPage": 0,
        "totalPages": 0,
        "totalRows": 0
      },
      "data": {}
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }